MapUtil (Neo4j - Graph Database Kernel Distribution 1.1 API)
Keywords: org.neo4j.helpers.collection.MapUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers.collection
Class MapUtil

    java.lang.Object
      org.neo4j.helpers.collection.MapUtil

    public abstract class MapUtil

extends Object

Utility to create `Map`s.

Constructor Summary
`MapUtil()`

Method Summary
`static
`<K,V> Map<K,V>`
` | `genericMap(Object... objects)` A short-hand method for creating a `Map` of key/value pairs.
`static Map<String,Object>` | `map(Object... objects)` A short-hand method for creating a `Map` of key/value pairs where keys are `String`s and values are `Object`s.
`static Map<String,String>` | `stringMap(String... strings)` A short-hand method for creating a `Map` of key/value pairs where both keys and values are `String`s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapUtil

    public MapUtil()

Method Detail

### genericMap

    public static <K,V> Map<K,V> genericMap(Object... objects)

  A short-hand method for creating a `Map` of key/value pairs.

  Type Parameters:
    `K` - type of keys
    `V` - type of values
  Parameters:
    `objects` - alternating key and value.
  Returns:
    a Map with the entries supplied by `objects`.

### stringMap

    public static Map<String,String> stringMap(String... strings)

  A short-hand method for creating a `Map` of key/value pairs where both keys and values are `String`s.

  Parameters:
    `strings` - alternating key and value.
  Returns:
    a Map with the entries supplied by `strings`.

### map

    public static Map<String,Object> map(Object... objects)

  A short-hand method for creating a `Map` of key/value pairs where keys are `String`s and values are `Object`s.

  Parameters:
    `objects` - alternating key and value.
  Returns:
    a Map with the entries supplied by `objects`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.